Fixing “Update check failed” with the React hot loader

When I tried to set up webpack with the React hot loading utilities, I got it running, but was receiving this error every time a component updated:

"Update check failed" react hotloader

The fix for this seems to be upgrading to a newer set of utilities (these are being renamed/repackaged differently) from https://github.com/glenjamin/webpack-hot-middleware. Make sure to follow the example, and erase all traces of the previous implementation (it’s very easy to mix these – may be best to start over)

Interested in JavaScript? I send out weekly, personalized emails with articles and conference talks. Click here to see an example and subscribe.

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published. Required fields are marked *